------------------------------------------------------------------------
r178 | eao197 | 2005-09-06 15:42:54 +0400 (Tue, 06 Sep 2005) | 2 lines
Changed paths:
   M /tags/1.4.0-b2/dev/oess_1/stdsn/h/shptr.hpp

Исправлена ошибка в реализации refcountable_policy_t.

------------------------------------------------------------------------
r176 | eao197 | 2005-07-12 18:48:11 +0400 (Tue, 12 Jul 2005) | 4 lines
Changed paths:
   M /tags/1.4.0-b2/dev/build.rb
   A /tags/1.4.0-b2/dev/default-local-build.rb

Добавлена возможность задавать в файле local-build.rb настройки, которые
отличаются от настроек по-умолчанию.
Файл default-local-build.rb является шаблоном для local-build.rb.

------------------------------------------------------------------------
r175 | eao197 | 2005-07-05 16:15:51 +0400 (Tue, 05 Jul 2005) | 2 lines
Changed paths:
   M /tags/1.4.0-b2/dev/build.rb
   M /tags/1.4.0-b2/dev/oess_1/db/cln/impl/std_db.cpp
   M /tags/1.4.0-b2/dev/oess_1/db/storage/impl/std_chain_storage.cpp
   M /tags/1.4.0-b2/dev/oess_1/db/storage/trx/std_file_committer.cpp
   M /tags/1.4.0-b2/dev/oess_1/defs/log/h/err.hpp
   M /tags/1.4.0-b2/dev/oess_1/file/file.cpp
   M /tags/1.4.0-b2/dev/oess_1/scheme/scheme.cpp
   M /tags/1.4.0-b2/dev/oess_1/stdsn/serializable.cpp
   M /tags/1.4.0-b2/dev/oess_1/util_cpp_serializer/main.cpp
   M /tags/1.4.0-b2/dev/oess_1/util_db_export/main.cpp
   M /tags/1.4.0-b2/dev/oess_1/util_ent_enum/main.cpp
   M /tags/1.4.0-b2/dev/oess_1/util_slice_create/main.cpp
   M /tags/1.4.0-b2/dev/oess_1/util_trace_replay/main.cpp

Макрос LOG_ERR переименован в OESS_1_LOG_ERR чтобы избежать конфликтов с системно-зависимыми макросами с тем же именем.

------------------------------------------------------------------------
r174 | eao197 | 2005-06-27 11:50:56 +0400 (Mon, 27 Jun 2005) | 2 lines
Changed paths:
   M /tags/1.4.0-b2/dev/build.rb

Bug fix: в build.rb добавлен проектный файл test/oess_db/nonunique_index/prj.ut.rb.

------------------------------------------------------------------------
r173 | eao197 | 2005-06-27 11:46:02 +0400 (Mon, 27 Jun 2005) | 2 lines
Changed paths:
   M /tags/1.4.0-b2/dev/oess_1/db/cln/h/slice_nonunique_index.hpp
   M /tags/1.4.0-b2/dev/test/oess_db/nonunique_index/main.cpp

Bug fix: исправлена ошибка в oess_1::db::cln::slice_nonunique_index_t::on_update (старые ключи не удалялись из map при модификации объекта).

------------------------------------------------------------------------
r172 | eao197 | 2005-06-26 18:42:12 +0400 (Sun, 26 Jun 2005) | 2 lines
Changed paths:
   M /tags/1.4.0-b2/dev/oess_1/db/cln/h/slice_index.hpp
   A /tags/1.4.0-b2/dev/oess_1/db/cln/h/slice_nonunique_index.hpp
   M /tags/1.4.0-b2/dev/sample/app_recovery/template.cfg
   A /tags/1.4.0-b2/dev/test/oess_db/nonunique_index
   A /tags/1.4.0-b2/dev/test/oess_db/nonunique_index/main.cpp
   A /tags/1.4.0-b2/dev/test/oess_db/nonunique_index/main.ddl
   A /tags/1.4.0-b2/dev/test/oess_db/nonunique_index/o
   A /tags/1.4.0-b2/dev/test/oess_db/nonunique_index/prj.rb
   A /tags/1.4.0-b2/dev/test/oess_db/nonunique_index/prj.ut.rb

Добавлен класс oess_1::db::cln::slice_nonunique_index_t.

------------------------------------------------------------------------
r171 | eao197 | 2005-05-28 12:26:57 +0400 (Sat, 28 May 2005) | 2 lines
Changed paths:
   M /tags/1.4.0-b2/dev/oess_1/stdsn/h/shptr.hpp

Адаптация к VC++ 6.0 sp5 (в классе std::auto_ptr не поддерживается метод reset).

------------------------------------------------------------------------
r170 | eao197 | 2005-05-20 13:20:11 +0400 (Fri, 20 May 2005) | 2 lines
Changed paths:
   M /tags/1.4.0-b2/NEWS.ru.txt
   M /tags/1.4.0-b2/dev/oess_1/defs/version.dox

Создана история изменений в beta 2.

------------------------------------------------------------------------
r169 | eao197 | 2005-05-20 12:43:15 +0400 (Fri, 20 May 2005) | 2 lines
Changed paths:
   D /branches/1.4.0-b2
   A /tags/1.4.0-b2 (from /branches/1.4.0-b2:168)

Публикация версии 1.4.0 beta2 в виде тега.

------------------------------------------------------------------------
r168 | eao197 | 2005-05-20 12:39:19 +0400 (Fri, 20 May 2005) | 2 lines
Changed paths:
   A /branches/1.4.0-b2/dev/test/bench/oess_db/create_update/template.cfg

Добавлен файл для облегчения проведения тестов производительности.

------------------------------------------------------------------------
r167 | eao197 | 2005-05-20 12:35:34 +0400 (Fri, 20 May 2005) | 3 lines
Changed paths:
   M /branches/1.4.0-b2/LICENSE
   A /branches/1.4.0-b2/blog
   A /branches/1.4.0-b2/blog/20050303.txt
   M /branches/1.4.0-b2/dev/TODO
   M /branches/1.4.0-b2/dev/build.rb
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/h/std_trace_stream.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/std_trace_stream.cpp
   M /branches/1.4.0-b2/dev/sample/app_recovery/template.cfg

Добавлен каталоге blog.
Закомичены изменившиеся после последнего комита файлы.

------------------------------------------------------------------------
r166 | eao197 | 2005-05-12 19:16:00 +0400 (Thu, 12 May 2005) | 2 lines
Changed paths:
   A /branches/1.4.0-b2/doxygen/dox/snapshots.dox

Механизм snapshot-файлов описан в doxygen-документации.

------------------------------------------------------------------------
r165 | eao197 | 2005-05-12 16:10:17 +0400 (Thu, 12 May 2005) | 6 lines
Changed paths:
   M /branches/1.4.0-b2/dev/TODO
   M /branches/1.4.0-b2/dev/oess_1/db/storage/h/errno.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/h/std_file_committer.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/std_file_committer.cpp
   M /branches/1.4.0-b2/dev/oess_1/util_trace_replay/main.cpp

Добавлен класс snapshot_file_committer_t для формирования snapshot-ов при
выполнении обратного воспроизведения trace-файлов.

Утилита oess_trace_replay теперь позволяет создавать snapshot-ы (вместо
восстановления БД), а так же удалять ставшие неактуальными snapshot-ы.

------------------------------------------------------------------------
r164 | eao197 | 2005-05-12 06:52:44 +0400 (Thu, 12 May 2005) | 2 lines
Changed paths:
   M /branches/1.4.0-b2/dev/TODO
   M /branches/1.4.0-b2/dev/oess_1/db/storage/h/errno.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/std_chain_storage.cpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/find_all_trace_files.cpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/h/std_file_committer.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/h/std_snapshot_collection.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/h/types.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/std_file_committer.cpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/std_snapshot_collection.cpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/std_trace_stream.cpp
   M /branches/1.4.0-b2/dev/test/storage/create/main.cpp

Работающий вариант поддержки snapshot-файлов при восстановлении БД.

------------------------------------------------------------------------
r163 | eao197 | 2005-05-10 08:59:41 +0400 (Tue, 10 May 2005) | 3 lines
Changed paths:
   M /branches/1.4.0-b2/dev/oess_1/db/storage/h/errno.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/std_snapshot_collection.cpp
   M /branches/1.4.0-b2/dev/oess_1/file/file.cpp
   M /branches/1.4.0-b2/dev/oess_1/file/impl/filetool.cpp
   M /branches/1.4.0-b2/dev/oess_1/file/prj.rb
   M /branches/1.4.0-b2/dev/test/storage/snapshot_collection/main.cpp

Реализована функциональность методов include и get_actual в
std_snapshot_collection_t.

------------------------------------------------------------------------
r162 | eao197 | 2005-05-09 10:06:17 +0400 (Mon, 09 May 2005) | 2 lines
Changed paths:
   M /branches/1.4.0-b2/dev/oess_1/db/prj.rb
   M /branches/1.4.0-b2/dev/oess_1/db/storage/h/errno.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/find_all_trace_files.cpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/h/find_all_trace_files.hpp
   A /branches/1.4.0-b2/dev/oess_1/db/storage/trx/h/std_snapshot_collection.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/h/types.hpp
   A /branches/1.4.0-b2/dev/oess_1/db/storage/trx/std_snapshot_collection.cpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/types.cpp
   A /branches/1.4.0-b2/dev/test/storage/snapshot_collection
   A /branches/1.4.0-b2/dev/test/storage/snapshot_collection/main.cpp
   A /branches/1.4.0-b2/dev/test/storage/snapshot_collection/o
   A /branches/1.4.0-b2/dev/test/storage/snapshot_collection/prj.rb
   A /branches/1.4.0-b2/dev/test/storage/snapshot_collection/prj.ut.rb

Начата реализация поддержки snapshot-файлов.

------------------------------------------------------------------------
r161 | eao197 | 2005-04-18 18:07:13 +0400 (Mon, 18 Apr 2005) | 3 lines
Changed paths:
   M /branches/1.4.0-b2/dev/oess_1/db/impl/db_content/h/client_map.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/impl/db_content/h/db_content.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/impl/db_content/h/std_db_content.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/impl/db_content/std_client_map.cpp
   M /branches/1.4.0-b2/dev/oess_1/db/impl/db_content/std_db_content.cpp
   M /branches/1.4.0-b2/dev/oess_1/db/site/impl/std_localhost.cpp

Частичный рефакторинг: замена обмена указателями на динамически
созданные объекта обменом объектами std::auto_ptr.

------------------------------------------------------------------------
r160 | eao197 | 2005-04-14 19:37:59 +0400 (Thu, 14 Apr 2005) | 3 lines
Changed paths:
   M /branches/1.4.0-b2/dev/build.rb
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/h/std_chain_storage.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/std_chain_storage.cpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/h/std_trace_stream.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/h/types.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/std_file_committer.cpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/std_trace_stream.cpp
   M /branches/1.4.0-b2/dev/oess_1/util_trace_replay/main.cpp

Частичный рефакторинг: замена обмена указателями на динамически
созданные объекта обменом объектами std::auto_ptr.

------------------------------------------------------------------------
r159 | eao197 | 2005-04-14 19:19:46 +0400 (Thu, 14 Apr 2005) | 3 lines
Changed paths:
   M /branches/1.4.0-b2/dev/oess_1/db/storage/h/dirty_page_storage.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/h/std_chain_storage.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/mem_dirty_page_storage.cpp

Частичный рефакторинг: замена обмена указателями на динамически созданные
объекты обменом объектами std::auto_ptr.

------------------------------------------------------------------------
r158 | eao197 | 2005-04-14 19:16:48 +0400 (Thu, 14 Apr 2005) | 3 lines
Changed paths:
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/h/header_processor.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/h/std_chain_storage.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/header_processor.cpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/std_chain_storage.cpp

Частичный рефакторинг: замена обмена указателями на динамически созданные
объекты обменом объектами std::auto_ptr.

------------------------------------------------------------------------
r157 | eao197 | 2005-04-14 19:12:22 +0400 (Thu, 14 Apr 2005) | 3 lines
Changed paths:
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/h/cache.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/h/page_accessor.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/h/std_chain_storage.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/page_accessor.cpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/std_cache.cpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/std_chain_storage.cpp

Частичный рефакторинг: замена обмена указателями на динамически созданные
объекты обменом объектами std::auto_ptr.

------------------------------------------------------------------------
r156 | eao197 | 2005-04-14 19:00:24 +0400 (Thu, 14 Apr 2005) | 3 lines
Changed paths:
   M /branches/1.4.0-b2/dev/oess_1/db/storage/h/chain_storage.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/h/std_stream_storage.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/std_chain_storage.cpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/std_stream_storage.cpp
   M /branches/1.4.0-b2/dev/test/bench/chain_storage/create_update/main.cpp
   M /branches/1.4.0-b2/dev/test/storage/create/main.cpp

Частичный рефакторинг: замена обмена указателями на динамически
созданные объекта обменом объектами std::auto_ptr.

------------------------------------------------------------------------
r155 | eao197 | 2005-04-12 18:11:47 +0400 (Tue, 12 Apr 2005) | 3 lines
Changed paths:
   M /branches/1.4.0-b2/dev/oess_1/stdsn/h/shptr.hpp
   A /branches/1.4.0-b2/dev/sample/subextension.auto_ptr (from /branches/1.4.0-b2/dev/sample/subextension:153)
   M /branches/1.4.0-b2/dev/sample/subextension.auto_ptr/main.cpp
   M /branches/1.4.0-b2/dev/sample/subextension.auto_ptr/prj.rb
   M /branches/1.4.0-b2/dev/sample/subextension.auto_ptr/prj.ut.rb
   M /branches/1.4.0-b2/doxygen/dox/1.4.0.shptr_skeleton.dox
   M /branches/1.4.0-b2/doxygen/dox/samples.dox

В класс oess_1::stdsn::cloneable_policy_t добалена поддержка
методов clone, которые возвращают std::auto_ptr< T >.

------------------------------------------------------------------------
r154 | eao197 | 2005-04-08 18:47:53 +0400 (Fri, 08 Apr 2005) | 4 lines
Changed paths:
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/std_chain_storage.cpp
   M /branches/1.4.0-b2/dev/oess_1/db/storage/trx/std_trace_stream.cpp
   M /branches/1.4.0-b2/dev/sample/app_recovery/template.cfg
   M /branches/1.4.0-b2/dev/test/storage/is_exists/main.cpp

Изменен способ проверки существования БД.
Теперь, если используется режим trace_all, то для существования БД
необходимо наличие конфигурационного файла и trace-файлов.

------------------------------------------------------------------------
r153 | eao197 | 2005-04-07 18:23:51 +0400 (Thu, 07 Apr 2005) | 2 lines
Changed paths:
   M /branches/1.4.0-b2/dev/test/stdsn/shptr/result.ok
   M /branches/1.4.0-b2/dev/test/stdsn/shptr.cloneable/result.ok

Протетирован на Linux-е.

------------------------------------------------------------------------
r152 | eao197 | 2005-04-07 17:55:28 +0400 (Thu, 07 Apr 2005) | 11 lines
Changed paths:
   M /branches/1.4.0-b2/dev/build.rb
   M /branches/1.4.0-b2/dev/oess_1/defs/version.dox
   M /branches/1.4.0-b2/dev/oess_1/stdsn/h/errno.hpp
   M /branches/1.4.0-b2/dev/oess_1/stdsn/h/shptr.hpp
   M /branches/1.4.0-b2/dev/oess_1/stdsn/shptr.cpp
   M /branches/1.4.0-b2/dev/oess_1/util_db_export/main.cpp
   A /branches/1.4.0-b2/dev/sample/subextension
   A /branches/1.4.0-b2/dev/sample/subextension/main.cpp
   A /branches/1.4.0-b2/dev/sample/subextension/main.ddl
   A /branches/1.4.0-b2/dev/sample/subextension/main.ddl.cpp
   A /branches/1.4.0-b2/dev/sample/subextension/o
   A /branches/1.4.0-b2/dev/sample/subextension/prj.rb
   A /branches/1.4.0-b2/dev/sample/subextension/prj.ut.rb
   M /branches/1.4.0-b2/dev/test/stdsn/shptr/main.cpp
   M /branches/1.4.0-b2/dev/test/stdsn/shptr/main.ddl
   A /branches/1.4.0-b2/dev/test/stdsn/shptr/prj.ut.rb
   A /branches/1.4.0-b2/dev/test/stdsn/shptr/result.ok
   A /branches/1.4.0-b2/dev/test/stdsn/shptr.cloneable
   A /branches/1.4.0-b2/dev/test/stdsn/shptr.cloneable/main.cpp
   A /branches/1.4.0-b2/dev/test/stdsn/shptr.cloneable/main.ddl
   A /branches/1.4.0-b2/dev/test/stdsn/shptr.cloneable/main.ddl.cpp
   A /branches/1.4.0-b2/dev/test/stdsn/shptr.cloneable/o
   A /branches/1.4.0-b2/dev/test/stdsn/shptr.cloneable/prj.rb
   A /branches/1.4.0-b2/dev/test/stdsn/shptr.cloneable/prj.ut.rb
   A /branches/1.4.0-b2/dev/test/stdsn/shptr.cloneable/result.ok
   A /branches/1.4.0-b2/doxygen/dox/1.4.0.shptr_skeleton.dox
   M /branches/1.4.0-b2/doxygen/dox/samples.dox
   M /branches/1.4.0-b2/doxygen/dox/stdsn_shptr.dox

Изменен способ работы с умными указателями.

Добавлен класс oess_1::stdsn::shptr_skeleton_t.

Класа oess_1::stdsn::shptr_t сделан производным от shptr_skeleton_t.
Из oess_1::stdsn::shptr_t изъяты ставшие не нужными методы.

Добавлен unit-тест stdsn/shptr.cloneable.

Добавлен пример subexpression.

------------------------------------------------------------------------
r151 | eao197 | 2005-03-30 18:49:28 +0400 (Wed, 30 Mar 2005) | 3 lines
Changed paths:
   M /branches/1.4.0-b2/dev/oess_1/db/cln/h/errno.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/cln/h/local_db.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/cln/local_db.cpp

Реализована возможность открывать через local_db_t БД
в режиме read-only.

------------------------------------------------------------------------
r150 | eao197 | 2005-03-20 09:30:06 +0300 (Sun, 20 Mar 2005) | 2 lines
Changed paths:
   A /branches/1.4.0-b2/dev/oess_1/util_db_export
   A /branches/1.4.0-b2/dev/oess_1/util_db_export/main.cpp
   A /branches/1.4.0-b2/dev/oess_1/util_db_export/o
   A /branches/1.4.0-b2/dev/oess_1/util_db_export/prj.rb

Начата реализация утилиты oess_db_export.

------------------------------------------------------------------------
r149 | eao197 | 2005-03-18 16:47:07 +0300 (Fri, 18 Mar 2005) | 2 lines
Changed paths:
   M /branches/1.4.0-b2/dev/oess_1/db/cln/h/db.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/cln/impl/h/std_db.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/cln/impl/std_db.cpp
   M /branches/1.4.0-b2/dev/test/oess_db/ent_raw/main.cpp

В класс oess_1::db::cln::db_t добавлен метод ent_raw_update.

------------------------------------------------------------------------
r148 | eao197 | 2005-03-18 15:11:29 +0300 (Fri, 18 Mar 2005) | 2 lines
Changed paths:
   M /branches/1.4.0-b2/dev/oess_1/db/cln/h/db.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/cln/impl/h/std_db.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/cln/impl/std_db.cpp
   M /branches/1.4.0-b2/dev/test/oess_db/ent_raw/main.cpp

В класс oess_1::db::cln::db_t добавлен метод ent_raw_load.

------------------------------------------------------------------------
r147 | eao197 | 2005-03-18 08:36:28 +0300 (Fri, 18 Mar 2005) | 4 lines
Changed paths:
   M /branches/1.4.0-b2/dev/TODO
   M /branches/1.4.0-b2/dev/oess_1/db/cln/h/db.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/cln/impl/h/std_db.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/cln/impl/std_db.cpp
   M /branches/1.4.0-b2/dev/oess_1/defs/version.dox
   A /branches/1.4.0-b2/dev/test/oess_db/ent_raw
   A /branches/1.4.0-b2/dev/test/oess_db/ent_raw/main.cpp
   A /branches/1.4.0-b2/dev/test/oess_db/ent_raw/main.ddl
   A /branches/1.4.0-b2/dev/test/oess_db/ent_raw/o
   A /branches/1.4.0-b2/dev/test/oess_db/ent_raw/prj.rb
   A /branches/1.4.0-b2/dev/test/oess_db/ent_raw/prj.ut.rb

В класс oess_1::db::cln::db_t добавлен метод ent_raw_create.

Добавлен unit-тест test/oess_db/ent_raw.

------------------------------------------------------------------------
r146 | eao197 | 2005-03-17 18:01:24 +0300 (Thu, 17 Mar 2005) | 4 lines
Changed paths:
   M /branches/1.4.0-b2/dev/TODO
   M /branches/1.4.0-b2/dev/oess_1/scheme/h/errno.hpp
   M /branches/1.4.0-b2/dev/oess_1/scheme/impl/types_impl.cpp

При работе со схемой данных в нескольких местах порождались
исключения std::domain_error. Теперь в этих случаях порождаются
производные от oess_1::defs::ex_t исключения.

------------------------------------------------------------------------
r145 | eao197 | 2005-03-17 16:44:24 +0300 (Thu, 17 Mar 2005) | 2 lines
Changed paths:
   M /branches/1.4.0-b2/dev/TODO

Скорректирован список ближайших целей.

------------------------------------------------------------------------
r144 | eao197 | 2005-03-17 16:42:32 +0300 (Thu, 17 Mar 2005) | 7 lines
Changed paths:
   M /branches/1.4.0-b2/dev
   M /branches/1.4.0-b2/dev/TODO
   M /branches/1.4.0-b2/dev/build.rb
   M /branches/1.4.0-b2/dev/oess_1/db/prj.rb
   M /branches/1.4.0-b2/dev/oess_1/db/site/impl/h/std_localhost.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/site/impl/std_localhost.cpp
   M /branches/1.4.0-b2/dev/oess_1/stdsn/prj.rb
   M /branches/1.4.0-b2/dev/oess_1/stdsn/serializable.cpp
   M /branches/1.4.0-b2/dev/sample/app_recovery/main.cpp
   M /branches/1.4.0-b2/dev/sample/app_recovery/prj.rb
   M /branches/1.4.0-b2/dev/sample/file_archive_2/prj.rb
   M /branches/1.4.0-b2/dev/test/bench/oess_db/create_read/prj.rb
   M /branches/1.4.0-b2/dev/test/bench/oess_db/create_remove/prj.rb
   M /branches/1.4.0-b2/dev/test/bench/oess_db/create_update/prj.rb
   M /branches/1.4.0-b2/dev/test/reenterability/main.cpp
   M /branches/1.4.0-b2/dev/test/reenterability/prj.rb
   A /branches/1.4.0-b2/dev/test/reenterability/prj.ut.rb

Отказ от использования threads_1 в пользу средств синхронизации ACE.

Тест test/reenterability переписан с использованием средств поддержки
нитей из ACE.

Тест test/reenterability преобразован в unit-тест.

------------------------------------------------------------------------
r143 | eao197 | 2005-03-17 14:55:22 +0300 (Thu, 17 Mar 2005) | 2 lines
Changed paths:
   M /branches/1.4.0-b2/dev/TODO
   M /branches/1.4.0-b2/dev/oess_1/db/cln/h/db.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/cln/impl/h/std_db.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/cln/impl/std_db.cpp
   M /branches/1.4.0-b2/dev/oess_1/db/impl/db_content/h/db_content.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/impl/db_content/h/std_db_content.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/impl/db_content/std_db_content.cpp
   M /branches/1.4.0-b2/dev/oess_1/db/prj.rb
   A /branches/1.4.0-b2/dev/oess_1/db/site/impl/ent_destroy_all_cmd.cpp
   A /branches/1.4.0-b2/dev/oess_1/db/site/impl/ent_destroy_all_cmd.ddl
   A /branches/1.4.0-b2/dev/oess_1/db/site/impl/h/ent_destroy_all_cmd.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/site/impl/h/std_localhost.hpp
   M /branches/1.4.0-b2/dev/oess_1/db/site/impl/std_localhost.cpp
   M /branches/1.4.0-b2/dev/test/bench/oess_db/create_update/main.cpp

В класс oess_1::db::cln::db_t добавлен метод ent_destroy_all.

------------------------------------------------------------------------
r142 | eao197 | 2005-03-04 08:23:52 +0300 (Fri, 04 Mar 2005) | 2 lines
Changed paths:
   M /branches/1.4.0-b2/dev/oess_1/io/bstring_buf.cpp
   M /branches/1.4.0-b2/dev/oess_1/io/h/bstring_buf.hpp

Мержинг изменений, внесенных в ветви tags/1.4.0-b1 после ревизии 137.

------------------------------------------------------------------------
r138 | eao197 | 2005-03-01 11:07:59 +0300 (Tue, 01 Mar 2005) | 6 lines
Changed paths:
   M /branches/1.4.0-b2/dev/TODO
   M /branches/1.4.0-b2/dev/oess_1/db/storage/impl/std_entity_stream.cpp
   M /branches/1.4.0-b2/dev/test/bench/oess_db/create_update/main.cpp

При изменении объекта в БД, его описатель в slice перезаписывается только,
если размер объекта изменился.

Исправлена ошибка в тесте производительности из-за которой размер объектов
при обновлении увеличивался.

------------------------------------------------------------------------
r137 | eao197 | 2005-03-01 06:50:03 +0300 (Tue, 01 Mar 2005) | 2 lines
Changed paths:
   A /branches/1.4.0-b2 (from /tags/1.4.0-b1:136)

Выделение ветви для 1.4.0 beta 2.

------------------------------------------------------------------------
r136 | eao197 | 2005-02-21 13:10:37 +0300 (Mon, 21 Feb 2005) | 3 lines
Changed paths:
   M /tags/1.4.0-b1/dev/oess_1/db/storage/impl/page_accessor.cpp

Удален оставшийся после отладки код, который записывал
статистическую информацию в файлы page_*.log.

------------------------------------------------------------------------
r134 | vkostin | 2005-02-07 21:53:02 +0300 (Mon, 07 Feb 2005) | 5 lines
Changed paths:
   M /tags/1.4.0-b1/dev/oess_1/db/cln/h/slice_image.hpp

Добавил недостающие 
#include <map>
#include <oess_1/defs/h/ex.hpp>


------------------------------------------------------------------------
r133 | eao197 | 2005-02-07 15:49:31 +0300 (Mon, 07 Feb 2005) | 2 lines
Changed paths:
   A /tags/1.4.0-b1/THANKS
   M /tags/1.4.0-b1/dev/build.rb
   M /tags/1.4.0-b1/dev/oess_1/db/cln/h/slice_image.hpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_read (from /tags/1.3/dev/test/bench/oess_db/create_read:132)

Добавлены изменения Вячеслава Костина из версии 1.3.

------------------------------------------------------------------------
r127 | eao197 | 2005-01-29 11:44:06 +0300 (Sat, 29 Jan 2005) | 1 line
Changed paths:
   M /tags/1.4.0-b1/dev

svn:externals changed by change_svn_externals robot
------------------------------------------------------------------------
r119 | eao197 | 2005-01-29 08:12:03 +0300 (Sat, 29 Jan 2005) | 7 lines
Changed paths:
   M /tags/1.4.0-b1/dev/oess_1/db/storage/h/chain_storage.hpp
   M /tags/1.4.0-b1/dev/oess_1/db/storage/impl/h/std_entity_stream.hpp
   M /tags/1.4.0-b1/dev/oess_1/db/storage/impl/page_accessor.cpp
   M /tags/1.4.0-b1/dev/oess_1/db/storage/impl/std_chain_storage.cpp
   M /tags/1.4.0-b1/dev/oess_1/db/storage/impl/std_entity_stream.cpp
   M /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/main.cpp
   M /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/main.cpp

Оптимизирована операция chain_load в chain_storage.

В тесты test/bench/chain_storage/create_update,
test/bench/oess_db/create_update добавлен тест по последовательному
обновлению всех объектов БД без изменениях их размера и предварительной
загрузки.

------------------------------------------------------------------------
r118 | eao197 | 2005-01-29 06:36:12 +0300 (Sat, 29 Jan 2005) | 2 lines
Changed paths:
   M /tags/1.4.0-b1/doxygen/dox/dat_file_struct.dox
   A /tags/1.4.0-b1/doxygen/dox/trace_file_struct.dox

Добавлен черновой вариант описания структуры trace-файла.

------------------------------------------------------------------------
r115 | eao197 | 2005-01-27 10:34:19 +0300 (Thu, 27 Jan 2005) | 7 lines
Changed paths:
   M /tags/1.4.0-b1/dev/TODO
   M /tags/1.4.0-b1/dev/oess_1/db/prj.rb
   M /tags/1.4.0-b1/dev/oess_1/defs/prj.rb
   A /tags/1.4.0-b1/dev/oess_1/defs/version.dox (from /tags/1.4.0-b1/dev/oess_1/version.dox:111)
   A /tags/1.4.0-b1/dev/oess_1/defs/version.rb (from /tags/1.4.0-b1/dev/oess_1/version.rb:111)
   M /tags/1.4.0-b1/dev/oess_1/file/prj.rb
   M /tags/1.4.0-b1/dev/oess_1/io/prj.rb
   M /tags/1.4.0-b1/dev/oess_1/scheme/prj.rb
   M /tags/1.4.0-b1/dev/oess_1/stdsn/prj.rb
   M /tags/1.4.0-b1/dev/oess_1/tlv/prj.rb
   D /tags/1.4.0-b1/dev/oess_1/version.dox
   D /tags/1.4.0-b1/dev/oess_1/version.rb
   M /tags/1.4.0-b1/dev/oess_1/zlib/prj.rb
   A /tags/1.4.0-b1/doxygen/dox/dat_file_struct.dox

В doxygen-документации описана физическая структура основного
файла БД.

Файлы version.rb, version.dox перенесены в каталог defs для того,
чтобы проще было оставлять только те каталоги, которые необходимы
для конкретной задачи.

------------------------------------------------------------------------
r114 | eao197 | 2005-01-26 19:47:09 +0300 (Wed, 26 Jan 2005) | 2 lines
Changed paths:
   A /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_create.cpp (from /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_create_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_create_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_create_half.cpp (from /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_create_half_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_create_half_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_destroy_half.cpp (from /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_destroy_half_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_destroy_half_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_load.cpp (from /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_load_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_load_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_update_index.cpp (from /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_update_index_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_update_index_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_update_size.cpp (from /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_update_size_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/10000_update_size_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_create.cpp (from /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_create_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_create_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_create_half.cpp (from /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_create_half_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_create_half_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_destroy_half.cpp (from /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_destroy_half_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_destroy_half_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_load.cpp (from /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_load_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_load_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_update_index.cpp (from /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_update_index_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_update_index_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_update_size.cpp (from /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_update_size_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/1000_update_size_distribution.cpp
   M /tags/1.4.0-b1/dev/test/bench/chain_storage/create_update/main.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_create.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_create_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_create_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_create_half.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_create_half_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_create_half_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_destroy_half.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_destroy_half_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_destroy_half_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_load.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_load_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_load_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_update_index.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_update_index_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_update_index_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_update_size.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_update_size_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/10000_update_size_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_create.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_create_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_create_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_create_half.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_create_half_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_create_half_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_destroy_half.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_destroy_half_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_destroy_half_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_load.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_load_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_load_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_update_index.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_update_index_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_update_index_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_update_size.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_update_size_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/1000_update_size_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_create.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_create_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_create_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_create_half.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_create_half_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_create_half_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_destroy_half.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_destroy_half_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_destroy_half_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_load.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_load_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_load_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_update_index.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_update_index_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_update_index_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_update_size.cpp (from /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_update_size_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/2000_update_size_distribution.cpp
   M /tags/1.4.0-b1/dev/test/bench/oess_db/create_update/main.cpp
   A /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_create.cpp (from /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_create_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_create_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_create_half.cpp (from /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_create_half_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_create_half_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_destroy_half.cpp (from /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_destroy_half_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_destroy_half_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_load.cpp (from /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_load_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_load_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_update_index.cpp (from /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_update_index_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_update_index_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_update_size.cpp (from /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_update_size_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/10000_update_size_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_create.cpp (from /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_create_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_create_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_create_half.cpp (from /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_create_half_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_create_half_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_destroy_half.cpp (from /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_destroy_half_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_destroy_half_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_load.cpp (from /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_load_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_load_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_update_index.cpp (from /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_update_index_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_update_index_distribution.cpp
   A /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_update_size.cpp (from /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_update_size_distribution.cpp:111)
   D /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/1000_update_size_distribution.cpp
   M /tags/1.4.0-b1/dev/test/bench/stream_storage/create_update/main.cpp

Переименован ряд файлов, чтобы устранить проблемы с длинными именами на Tandem.

------------------------------------------------------------------------
r113 | eao197 | 2005-01-26 17:53:22 +0300 (Wed, 26 Jan 2005) | 2 lines
Changed paths:
   M /tags/1.4.0-b1/dev/oess_1/db/storage/trx/std_file_committer.cpp
   M /tags/1.4.0-b1/dev/oess_1/file/impl/filetool.cpp

Bug fix: при создании файла не указывался флаг O_BINARY.

------------------------------------------------------------------------
r112 | eao197 | 2005-01-26 12:49:18 +0300 (Wed, 26 Jan 2005) | 2 lines
Changed paths:
   M /tags/1.4.0-b1/dev/oess_1/db/cln/h/local_db.hpp
   M /tags/1.4.0-b1/doxygen/dox/pointer_attr.dox
   A /tags/1.4.0-b1/doxygen/dox/recovery_db.dox

Сделано описание восстановочной БД oess_1::db.

------------------------------------------------------------------------
r111 | eao197 | 2005-01-25 10:23:55 +0300 (Tue, 25 Jan 2005) | 5 lines
Changed paths:
   M /tags/1.4.0-b1/LICENSE
   M /tags/1.4.0-b1/dev/TODO
   A /tags/1.4.0-b1/doxygen/dox/pointer_attr.dox
   M /tags/1.4.0-b1/doxygen/dox/samples.dox
   M /tags/1.4.0-b1/doxygen/dox/stdsn_shptr.dox

В список лицензий добавлена забытая лицензия на zlib.

В doxygen-документацию добавлено описание атрибутов-указателей
и их особенностей.

------------------------------------------------------------------------
r110 | eao197 | 2005-01-24 10:18:38 +0300 (Mon, 24 Jan 2005) | 3 lines
Changed paths:
   M /tags/1.4.0-b1/doxygen/Doxyfile

Исправлена ошибка с подключением в doxygen-документацию
лицензионной информации.

------------------------------------------------------------------------
r109 | eao197 | 2005-01-24 10:04:15 +0300 (Mon, 24 Jan 2005) | 2 lines
Changed paths:
   A /tags/1.4.0-b1 (from /branches/1.4a3:108)

Выпуск oess v.1.4.0 beta 1.

------------------------------------------------------------------------
